﻿using Hotline.Share.Dtos.Realtime;
using static Hotline.Caching.Services.CallCacheManager;

namespace Hotline.Realtimes
{
    public interface IRealtimeService
    {
        Task AlertAsync(string userId, AlertDto dto, CancellationToken cancellationToken);

        Task RingAsync(string userId, RingDto dto, CancellationToken cancellationToken);

        Task AnsweredAsync(string userId, AnsweredDto dto, CancellationToken cancellationToken);

        Task ByeAsync(string userId, ByeDto dto, CancellationToken cancellationToken);

        Task RestApplyPassAsync(string userId, CancellationToken cancellationToken);

        Task CallQueueAsync(List<CallDtoRedis> list, CancellationToken cancellationToken);

        Task IdleAsync(string userId, CancellationToken cancellationToken);
    }
}
